#ifndef SCHEDULER_CONFIG_H
#define SCHEDULER_CONFIG_H
/************************************************************************************************************
 * (c) Triple-S GmbH 2012
 ************************************************************************************************************/
/*****************************************************************************
*   $Logfile: /SOURCE/Scheduler_config.h $
*   $Revision: 1 $
*   $Author: Hbl $
*   $Date: 2012.11.28 13:13:08 $
*
*    Project:                   TEST
*
*    Content:                   Konfigurationsdatei fr das Modul Scheduler
*
*
*
*    Author(s):                 JH: Josef Hbl
*
*****************************************************************************/

/*****************************************************************************
*
* CHANGE LOG:
*
* Date     Name Change description
* -----------------------------------------------------------------
*
*****************************************************************************/
#if !defined SCHEDULER_C
#else
/*---- Module relavant configurations (privat) -----------------------------*/

/*includes for configuration*/


/***********************************************************************/
/* list here all functions called within a specific time slice */
/***********************************************************************/
/* list all functions that must be called befor all time slices */
#define BEGIN_TIMESLICE()  \
/* end of #define BEGIN_TIMESLICE() */

/* list all functions that must be called after all time slices */
#define END_TIMESLICE()  \
/* end of #define END_TIMESLICE() */

/* 5ms ********************************************************************************************************************/
#define CYCLIC_BASEx1x1() \
        TIME_SLICE_CALL( Can_MainFunction_Write );  \
        TIME_SLICE_CALL( Can_MainFunction_Read );  \
        TIME_SLICE_CALL( FrIf_MainFunction_0 );  \
        TIME_SLICE_CALL( LinIf_MainFunction );  \
        TIME_SLICE_CALL( CanNm_MainFunction );  \
        TIME_SLICE_CALL( FrNm_MainFunction_0 );  \
        TIME_SLICE_CALL( CanSM_MainFunction );  \
        TIME_SLICE_CALL( FrSM_MainFunction_0 );  \
        TIME_SLICE_CALL( FrTp_MainFunction );  \
        TIME_SLICE_CALL( CanTp_MainFunction );  \
        TIME_SLICE_CALL( Com_MainFunctionRx );  \
        TIME_SLICE_CALL( Com_MainFunctionRouteSignals );  \
        TIME_SLICE_CALL( Com_MainFunctionTx );  \
        TIME_SLICE_CALL( KvProxy_MainFunction );  \
        TIME_SLICE_CALL( IoHwAbEx_MainFunction ); 
/* end of #define CYCLIC_BASEx1x1() */

/* 10ms ********************************************************************************************************************/
#define CYCLIC_BASEx1x2() \
        TIME_SLICE_CALL( LinSM_MainFunction );  \
        TIME_SLICE_CALL( Xcp_MainFunction );  \
        TIME_SLICE_CALL( Can_MainFunction_Mode );  \
        TIME_SLICE_CALL( Fee_MainFunction );  \
        TIME_SLICE_CALL( NvM_MainFunction );  \
        TIME_SLICE_CALL( CddTpms_MainFunction );  \
        TIME_SLICE_CALL( EcuM_MainFunction );  \
        TIME_SLICE_CALL( Run_SenActExteriorLight_Sensor );  \
        TIME_SLICE_CALL( Run_SenActLocking_Sensor );  \
        TIME_SLICE_CALL( Run_SenActImmo_Sensor );  \
        TIME_SLICE_CALL( Run_SenActVMM_Sensor );  \
        TIME_SLICE_CALL( Run_FlashMgr_Step );  \
        TIME_SLICE_CALL( Run_BrkLiMgr_Step );  \
        TIME_SLICE_CALL( Run_SftyMgrForLockgCen_Step );  \
        TIME_SLICE_CALL( Run_ElEgyMgr_Step );  \
        TIME_SLICE_CALL( Run_PwrSplyMgr_Step );  \
        TIME_SLICE_CALL( Run_PtIninMgr_Step );  \
        TIME_SLICE_CALL( Run_StrtMgr_Step );  \
        TIME_SLICE_CALL( Run_ImobMgr_Step );  \
        TIME_SLICE_CALL( Run_ImobEngMgr1_Step );  \
        TIME_SLICE_CALL( Run_ImobEngMgr2_Step );  \
        TIME_SLICE_CALL( Run_ImobEngMgr3_Step );  \
        TIME_SLICE_CALL( Run_KeyMgr_Step );  \
        TIME_SLICE_CALL( Run_RemInfo_Step );  \
        TIME_SLICE_CALL( Run_ImobSteerLockMgr_Step );  \
        TIME_SLICE_CALL( Run_CryptoMgr_Step );  \
        TIME_SLICE_CALL( Run_SenActExteriorLight_Actuator );  \
        TIME_SLICE_CALL( Run_SenActImmo_Actuator );  \
        TIME_SLICE_CALL( Run_SenActLocking_Actuator );  \
        TIME_SLICE_CALL( Run_SenActVMM_Actuator );  \
        TIME_SLICE_CALL( Run_Comfort_Step );  \
        TIME_SLICE_CALL( Run_ComNet_Step );  \
        TIME_SLICE_CALL( Run_CtrlOut_Step );  \
        TIME_SLICE_CALL( Run_DecodeEval_Step );  \
        TIME_SLICE_CALL( Run_Feedback_Step );  \
        TIME_SLICE_CALL( Run_KeySearch_Step );  \
        TIME_SLICE_CALL( Run_VehModMngtSync_Step );  \
        TIME_SLICE_CALL( Run_UsgModMgrSafe_Step );  \
        TIME_SLICE_CALL( Run_PwrSplyMgrSafe_Step );  \
        TIME_SLICE_CALL( Run_CarModMgrSafe_Step );  \
        TIME_SLICE_CALL( Run_CarModMgr_Step );  \
        TIME_SLICE_CALL( Run_UsgModMgr_Step );  \
        TIME_SLICE_CALL( Run_SftyMgrForSteerLockMgr_Step );  \
        TIME_SLICE_CALL( Run_TirePMon_Cyclic_Prolog );  \
        TIME_SLICE_CALL( Run_TirePMon_Cyclic );  \
        TIME_SLICE_CALL( Run_TirePMon_Cyclic_Epilog ); 
/* end of #define CYCLIC_BASEx1x2() */

/* 20ms ********************************************************************************************************************/
#define CYCLIC_BASEx1x4() \
        TIME_SLICE_CALL( Run_SenActInteriorLight_Actuator );  \
        TIME_SLICE_CALL( Run_SenActInteriorLight_Sensor );  \
        TIME_SLICE_CALL( Run_SenActSoundSignaling_Sensor );  \
        TIME_SLICE_CALL( Run_SenActSoundSignaling_Actuator );  \
        TIME_SLICE_CALL( Run_HornMgr_Step );  \
        TIME_SLICE_CALL( Run_ComArbn_Step );  \
        TIME_SLICE_CALL( Run_Hdlmp_Step );  \
        TIME_SLICE_CALL( Run_HdlmpSafe_Step );  \
        TIME_SLICE_CALL( Run_DynLoadCtrl_Step ); 
/* end of #define CYCLIC_BASEx1x4() */

/* 40ms ********************************************************************************************************************/
#define CYCLIC_BASEx1x8() \
        TIME_SLICE_CALL( Run_Rngbd_Step );  \
        TIME_SLICE_CALL( Run_IntrLiMgr_Step ); 
/* end of #define CYCLIC_BASEx1x8() */

/* 50ms ********************************************************************************************************************/
#define CYCLIC_BASEx5x2() \
        TIME_SLICE_CALL( ComCtrl_LinHandler_Run );  \
        TIME_SLICE_CALL( ComCtrl_VfcHandler_Run );  \
        TIME_SLICE_CALL( Run_SenActTheftProtection_Sensor );  \
        TIME_SLICE_CALL( Run_AlrmMgr_Step );  \
        TIME_SLICE_CALL( Run_SnsrAdptrSimpleAlrm_Step );  \
        TIME_SLICE_CALL( Run_SnsrAdptrCmplxAlrm_Step );  \
        TIME_SLICE_CALL( Run_WiprWshrMgrSafe_Step );  \
        TIME_SLICE_CALL( Run_WiprWshrMgr_Step );  \
        TIME_SLICE_CALL( Run_WindscreenCleanerCtrl_Step );  \
        TIME_SLICE_CALL( Run_DefrstCtrlMgr_Step );  \
        TIME_SLICE_CALL( Run_ProfMgr_Step );  \
        TIME_SLICE_CALL( Run_HeadRest_Step );  \
        TIME_SLICE_CALL( Run_ExtrLiMgr_Step );  \
        TIME_SLICE_CALL( Run_PwrAndEgyBalMgr_Step );  \
        TIME_SLICE_CALL( Run_PanicAlrmMgr_Step );  \
        TIME_SLICE_CALL( Run_SenActVisibility_Actuator );  \
        TIME_SLICE_CALL( Run_SenActTheftProtection_Actuator );  \
        TIME_SLICE_CALL( Run_LoBeamSafe_Step );  \
        TIME_SLICE_CALL( Run_PosLiReSafe_Step );  \
        TIME_SLICE_CALL( Run_SenActVisibility_Sensor ); 
/* end of #define CYCLIC_BASEx5x2() */

/* 100ms ********************************************************************************************************************/
#define CYCLIC_BASEx5x4() \
        TIME_SLICE_CALL( ComCtrl_TimeoutCheck_Run );  \
        TIME_SLICE_CALL( Run_SenActLowVoltEngyMngt_Sensor );  \
        TIME_SLICE_CALL( Run_SenActDriverInformation_Sensor );  \
        TIME_SLICE_CALL( Run_PasAlrmCtrl_Step );  \
        TIME_SLICE_CALL( Run_SpprtBattMgr_Step );  \
        TIME_SLICE_CALL( Run_PwrSplyUCtrl_Step );  \
        TIME_SLICE_CALL( Run_DiagCtrl_Step );  \
        TIME_SLICE_CALL( Run_FCCCEM_Step );  \
        TIME_SLICE_CALL( Run_MissComSignalsCEM_Step );  \
        TIME_SLICE_CALL( Run_ModCtrl_Step );  \
        TIME_SLICE_CALL( Run_NvCtrl_Step );  \
        TIME_SLICE_CALL( Run_RealTi_Step );  \
        TIME_SLICE_CALL( Run_TpmsProxy_Step );  \
        TIME_SLICE_CALL( Run_RxDataGlbForDiagcTroCodCEM_Step );  \
        TIME_SLICE_CALL( Run_TiMgr_Step );  \
        TIME_SLICE_CALL( Run_SunRoofAndCurtSecCtrlr_Step );  \
        TIME_SLICE_CALL( Run_PrsnlCfgCmn_Step );  \
        TIME_SLICE_CALL( Run_GlbWinCtrl_Step );  \
        TIME_SLICE_CALL( Run_NvArbn_Step );  \
        TIME_SLICE_CALL( Run_ModArbn_Step );  \
        TIME_SLICE_CALL( Run_UsrIntxcnMgr_Step );  \
        TIME_SLICE_CALL( Run_KeyWarnMgr_Step );  \
        TIME_SLICE_CALL( Run_ImobVehRemMgr_Step );  \
        TIME_SLICE_CALL( Run_CryptoMgrSlow_Step );  \
        TIME_SLICE_CALL( Run_SysSftyMngtByPwrSply_Step );  \
        TIME_SLICE_CALL( Run_SwtStsAtBody_Step );  \
        TIME_SLICE_CALL( Run_DrvrEngmtLvlMgr_Step );  \
        TIME_SLICE_CALL( Run_NetMgrForAlrm_Step );  \
        TIME_SLICE_CALL( Run_AmbTMgr_Step );  \
        TIME_SLICE_CALL( Run_SenActDriverInformation_Diag );  \
        TIME_SLICE_CALL( Run_SenActDriverInformation_Actuator );  \
        TIME_SLICE_CALL( Run_SenActExteriorLight_Diag );  \
        TIME_SLICE_CALL( Run_SenActImmo_Diag );  \
        TIME_SLICE_CALL( Run_SenActInteriorLight_Diag );  \
        TIME_SLICE_CALL( Run_SenActVisibility_Diag );  \
        TIME_SLICE_CALL( Run_SenActVMM_Diag );  \
        TIME_SLICE_CALL( Run_SenActTheftProtection_Diag );  \
        TIME_SLICE_CALL( Run_SenActSoundSignaling_Diag );  \
        TIME_SLICE_CALL( Run_SenActLowVoltEngyMngt_Actuator );  \
        TIME_SLICE_CALL( Run_SenActLowVoltEngyMngt_Diag );  \
        TIME_SLICE_CALL( Run_SenActLocking_Diag );  \
        TIME_SLICE_CALL( Run_CarCfg_Step );  \
        TIME_SLICE_CALL( Run_CmptmtClngMgr_Step );  \
        TIME_SLICE_CALL( Run_HeatdSteerWhlMaiCtrl_Step );  \
        TIME_SLICE_CALL( Run_SunSnsrIf2_Step );  \
        TIME_SLICE_CALL( Run_DiagcOfSlaveNod_Step ); 
/* end of #define CYCLIC_BASEx5x4() */

/* 200ms ********************************************************************************************************************/
#define CYCLIC_BASEx5x8() \
        TIME_SLICE_CALL( Run_MirrTintgMgr_Step );  \
        TIME_SLICE_CALL( Run_DstBkpInBody_Step );  \
        TIME_SLICE_CALL( Run_HdlmpMon_Step ); 
/* end of #define CYCLIC_BASEx5x8() */

/* 125ms ********************************************************************************************************************/
#define CYCLIC_BASEx25x1() \
        TIME_SLICE_CALL( ComCtrl_CarCfg_Run ); 
/* end of #define CYCLIC_BASEx25x1() */

/* 250ms ********************************************************************************************************************/
#define CYCLIC_BASEx25x2() \
        TIME_SLICE_CALL( ComCtrl_VIN_Run ); 
/* end of #define CYCLIC_BASEx25x2() */

/* 500ms ********************************************************************************************************************/
#define CYCLIC_BASEx25x4() \
        TIME_SLICE_CALL( Run_BattMgrPrim_Step );  \
        TIME_SLICE_CALL( Run_PwrSplyChrgnStgy_Step );  \
        TIME_SLICE_CALL( Run_PwrSplyStrtStopMgr_Step );  \
        TIME_SLICE_CALL( Run_EgyMngtModMgr_Step );  \
        TIME_SLICE_CALL( Run_DetnOfUkwnCptMgr_Step ); 
/* end of #define CYCLIC_BASEx25x4() */

/* 1000ms ********************************************************************************************************************/
#define CYCLIC_BASEx25x8() \
        TIME_SLICE_CALL( Run_CarCfgUknValDet_Step );  \
        TIME_SLICE_CALL( Run_ElAdjSteerColCtrl_Step );  \
        TIME_SLICE_CALL( Run_PwrSplyErrSts_Step );  \
        TIME_SLICE_CALL( Run_BattSwtFuseCtrl_Step );  \
        TIME_SLICE_CALL( Run_FltEgyCns_Step );  \
        TIME_SLICE_CALL( StbM_MainFunction );  \
        TIME_SLICE_CALL( FrTrcv_31_TJA1082_MainFunction ); 
/* end of #define CYCLIC_BASEx25x8() */

#endif // #else #if !defined _Scheduler_CFG_

#endif // #ifndef SCHEDULER_CONFIG_H

